/*
 * This file is part of the Track+ application, a
 * tool for project and change management.
 *
 * Copyright (C) 2008 Trackplus
 *
 * Use and distribution of this software is governed by the
 * Track+ license conditions.
 *
 * $Id$
 */

package com.trackplus.track.ws.samples;


import com.trackplus.track.ws.tcl.TCLFacade;

/**
 * This is an example of using Container base authentication
 */
public class CbaSample {
	protected static String url = "http://localhost:8080/track"; //"https://www.trackplus.com/track";
	/**
	 * The user login name
	 */
	protected static String cbaUName = "admin";
	/**
	 * The user password
	 */
	protected static String cbaPField ="tissi";



	public static void main(String[] args) {

		try{
			TCLFacade connector = new TCLFacade(url,cbaUName,cbaPField);

			PersonSample personSample=new PersonSample(connector);
			personSample.getAllUsers();

			QuerySample querySample=new QuerySample(connector);
			querySample.getQueries();
		}catch (Exception ex){
			ex.printStackTrace();
		}
	}
}
